// creator  : weidu.exe (version 23600)
// argument : BJORNI.DLG
// game     : .
// source   : ./override/BJORNI.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~BJORNI~

IF ~  False()
~ THEN BEGIN 0 // from:
  SAY #15493 /* ~Leave me be, friends. I'm still healing from my latest encounters.~ */
  IF ~~ THEN EXIT
END

IF ~  Global("HelpBjornin","GLOBAL",0)
~ THEN BEGIN 1 // from:
  SAY #15494 /* ~They did quite a number on me, those half-ogres. There's a band of them fortifying themselves in the mountains south-southwest of here... If you could give them a taste of justice, that would do me proud.~ */
  IF ~~ THEN DO ~SetGlobal("HelpBjornin","GLOBAL",2)
~ UNSOLVED_JOURNAL #26883 /* ~Half-ogres Near Beregost
Bjornin, a paladin currently healing from his wounds in Beregost's Jovial Juggler Inn, has asked me to uproot a band of half-ogres. According to his report, they have been fortifying themselves in the mountains south-southwest of town.~ */ EXIT
  IF ~Global("X#BJORNI1","GLOBAL",0)
InParty("kivan")
InMyArea("kivan")
!StateCheck("kivan",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BJORNI1","GLOBAL",1)~ EXTERN ~KIVANJ~ 405
  IF ~Global("X#BJORNI1","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#BJORNI1","GLOBAL",1)~ EXTERN ~AJANTJ~ 294
END

IF ~  Global("HelpBjornin","GLOBAL",2)
GlobalLT("OgresKilled","GLOBAL",4)
~ THEN BEGIN 2 // from:
  SAY #15495 /* ~So, have you tested your steel against those half-ogres I mentioned?~ */
  IF ~~ THEN EXIT
  IF ~Global("X#AjantisBjorninTalk2","GLOBAL",0)
InParty("ajantis")
InMyArea("ajantis")
!StateCheck("ajantis",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#AjantisBjorninTalk2","GLOBAL",1)~ EXTERN ~AJANTJ~ 53
END

IF ~  Global("HelpBjornin","GLOBAL",2)
~ THEN BEGIN 3 // from:
  SAY #15496 /* ~Fine work! News of the battle has reached me even here. In an effort to encourage such deeds of righteousness, allow me to present to you this shield... The Sword Coast needs more heroes of your sort, especially in times as dark as these.~ */
  IF ~~ THEN DO ~SetGlobal("HelpBjornin","GLOBAL",1)
GiveItem("SHLD04",LastTalkedToBy)
AddexperienceParty(400)
ReputationInc(1)
EraseJournalEntry(26883)
~ SOLVED_JOURNAL #26884 /* ~Half-ogres Near Beregost
Bjornin is as generous as he is brave. For my efforts against the half-ogres, he gave me his splendid shield.~ */ EXIT
END

IF ~  True()
~ THEN BEGIN 4 // from:
  SAY #15497 /* ~How are my fine heroes? If only these wounds of mine were quicker to heal I would be lunging into the heat of battle at your side.~ */
  IF ~~ THEN EXIT
END

IF ~  False()
~ THEN BEGIN 5 // from:
  SAY #15498 /* ~I may be injured but, if you are evil enough to attack me then I am good enough to stand my ground. By the Luck of the Lady, draw steel.~ */
  IF ~~ THEN EXIT
END
